Get all invoices
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "400544d5-4ca3-4bc4-8d7d-9801f0eabf5c",
"internal_number": "sample string 2",
"company_id": "b63ed93b-0a4e-4339-8948-b95e529e2036",
"company_code": "sample string 4",
"company_name": "sample string 5",
"date_create": "2026-05-25T00:52:50.4213913+00:00",
"memo": "sample string 7",
"description": "sample string 8",
"invoice_type": "sample string 9",
"source_type": "sample string 10",
"source_id_in_table": "1cacc72d-0f08-4054-90e4-2d3369828dc0",
"total_lines": 12,
"total_amount": 13.0,
"db_currency_id": "76f49514-4fc0-4ec3-b2fa-b5f5d4f7cdea",
"total_taxes": 15.0,
"due_date": "2026-05-25T00:52:50.4213913+00:00",
"source_db_table_name": "sample string 17",
"delivery_name": "sample string 18",
"delivery_street": "sample string 19",
"delivery_city": "sample string 20",
"delivery_zip": "sample string 21",
"delivery_db_country_name": "sample string 22",
"reference_back_office": "sample string 23",
"db_payment_method_id": "8d80b9c1-bd94-45c0-b195-6cd6713f14e1",
"id2": 25,
"customer_remarks": "sample string 26",
"bill_to_party": "sample string 27",
"bill_to_contact_id": "418f2367-ae67-4520-901e-595a1483c0ca",
"contact_id": "f1f1ea75-9ff3-4c66-b730-370c4c948dd4",
"article_price_label_id": "a762add1-3239-4ea1-91e1-e08542f5fc2f",
"db_language_id": "fb23fbfa-f5c3-40d9-a0be-95a7bd3b264b",
"invoice_status_id": "787514b6-e90f-446c-ad62-14b6214644c9",
"invoice_status_name": "sample string 33",
"discount_group_id": "08f9c8fa-293d-493c-8c77-416242ac6d10",
"discount": 35.0,
"email": "sample string 36",
"invoice_number": "sample string 37",
"bill_to_company_id": "a215b09a-e55b-4edf-8306-409a89e3c9ca",
"dateutc_confirmation": "2026-05-25T00:52:50.4213913+00:00",
"modified_dateutc": "2026-05-25T00:52:50.4213913+00:00"
}